Bug 245648 - foomatic doesn't pick up HP 7780 correctly.
foomatic doesn't pick up HP 7780 correctly.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F7Update
  Show dependency treegraph
 
Reported: 2007-06-25 17:00 EDT by Charles Curley
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 3.0.2-47.1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-04 08:56:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Curley 2007-06-25 17:00:17 EDT
Description of problem:

foomatic doesn't pick up HP 7780 correctly.


Version-Release number of selected component (if applicable):

[ccurley@charlesc down]$ pre foomatic
foomatic-3.0.2-47.fc7
gutenprint-foomatic-5.0.0.99.1-3.fc7
[ccurley@charlesc down]$ pre hplip
hplip-1.7.2-10.fc7

How reproducible:

Consistent.

Steps to Reproduce:

0. A fresh F7 installation, as updated.

1. Plug an HP Officejet Pro L7780 in to the computer via USB.

2. Fire up system-config-printer, find the printer.
  
Actual results:

* The printer is correctly identified in the left hand panel of system-config-printer.

* Printer driver for HP-OfficeJet_Pro_1150C is installed.

* Test page fails. It is queued up but never sent to the printer.


Expected results:

* The printer is correctly identified in the left hand panel of system-config-printer.

* Printer driver for HP Officejet Pro L7780 is installed.

* Test page prints sucessfully.

Additional info:

I tried setting up a new printer. I got this at the console from which I had launched system-config-printer:

--------------------------------------------------
Please report a bug in Bugzilla against 'foomatic':
  https://bugzilla.redhat.com/bugzilla
Include this complete message.
Guessing HP-OfficeJet_Pro_1150C from IEEE 1284 ID:
      <manufacturer>HP</manufacturer>
      <model>Officejet Pro L7700</model>
      <description>Officejet Pro L7700</description>
      <commandset></commandset>
URI: hp:/usb/Officejet_Pro_L7700?serial=MY74E435DK
Please report a bug in Bugzilla against 'foomatic':
  https://bugzilla.redhat.com/bugzilla
Include this complete message.
Guessing HP-OfficeJet_Pro_1150C from IEEE 1284 ID:
      <manufacturer>HP</manufacturer>
      <model>Officejet Pro L7700</model>
      <description>Officejet Pro L7700</description>
      <commandset></commandset>
URI: hp:/usb/Officejet_Pro_L7700?serial=MY74E435DK
--------------------------------------------------

HPLIP reports the printer is supported as of hlip version 1.7.2: http://hplip.sourceforge.net/supported_devices/inkjet_aio.html, search on "7780". However, if I try to change the printer driver, system-config-printer does not show the L7780.
Comment 1 Charles Curley 2007-06-25 17:35:18 EDT
Workaround: download the PPD and set up using that.

http://www.openprinting.org/show_printer.cgi?recnum=HP-OfficeJet_Pro_L7700
Comment 2 Tim Waugh 2007-06-26 08:41:53 EDT
Please try the test update:

  yum --enablerepo=updates-testing update foomatic

After applying the update, does system-config-printer select the correct driver
when you add a new queue?
Comment 3 Charles Curley 2007-06-26 13:22:31 EDT
Yes, it does. The only nitpick I would make is that it offers two drivers, both "recommended". The hpijs driver is highlighted, so if the user hits "Forward" that's what the user will get. If possible it would be nice to highlight the HPLIP, which has a lot more functions (according to the writeups). Other than that nitpick, I'd say you have this fixed and can close it.
Comment 4 Tim Waugh 2007-06-29 06:06:35 EDT
That (two recommended drivers) is something that will be fixed in F-8.

Note You need to log in before you can comment on or make changes to this bug.